Data Structures | Defines | Functions | Variables

# cocoa_v.h File Reference

The Cocoa video driver. More...

`#include "../video_driver.hpp"`

Go to the source code of this file.

## Data Structures
class | VideoDriver_Cocoa
class | FVideoDriver_Cocoa
class | CocoaSubdriver
| Generic display driver for cocoa On grounds to not duplicate some code, it contains a few variables which are not used by all device drivers. More...
class | NSCursor(OTTD_QuickdrawCursor)
| Category of NSCursor to allow cursor showing/hiding. More...
class | OTTD_CocoaWindow
| Subclass of NSWindow to cater our special needs. More...
class | OTTD_CocoaView
| Subclass of NSView to fix Quartz rendering and mouse awareness. More...
class | OTTD_CocoaWindowDelegate
| Delegate for our NSWindow to send ask for quit on close. More...
## Defines
#define | MAX_DIRTY_RECTS 100
## Functions
CocoaSubdriver * | QZ_CreateFullscreenSubdriver (int width, int height, int bpp)
void | QZ_GameSizeChanged ()
void | QZ_GameLoop ()
uint | QZ_ListModes (OTTD_Point *modes, uint max_modes, CGDirectDisplayID display_id, int display_depth)
## Variables
CocoaSubdriver * | _cocoa_subdriver

## Detailed Description

The Cocoa video driver.

Definition in file cocoa_v.h.